<?php


namespace FiloBlu\CustomerAccountAge\Cron;

class UpdateAge
{

    protected $logger;
    private $customerAccountAge;

    /**
     * Constructor
     *
     * @param \Psr\Log\LoggerInterface $logger
     */
    public function __construct(
        \Psr\Log\LoggerInterface $logger,
        \FiloBlu\CustomerAccountAge\Model\Core $customerAccountAge
    )
    {
        $this->logger = $logger;
        $this->customerAccountAge = $customerAccountAge;
    }

    /**
     * Execute the cron
     *
     * @return void
     */
    public function execute()
    {
        $this->logger->addInfo("Cronjob UpdateAge executing...");
        $result = $this->customerAccountAge->executeUpdate();
        if($result){
            $this->logger->addInfo("Cronjob UpdateAge executed successfully.");
        } else {
            $this->logger->addInfo("Cronjob UpdateAge executed unsuccessfully.");
        }
    }
}
